#include <stdio.h>
#include <string.h>
#include <sys/statvfs.h>

int
main(int argc, char *argv[])
{
	struct statvfs fiData;
	struct statvfs *fpData;
	char fnPath[128];
	int	i;

	if (argc < 2 )
	{
		printf("Usage, webdisk DEVICE0...DEVICEn\n");
		return(2);
	}

	for (i = 1; i < argc; i++ )
	{
		strcpy(fnPath, argv[i]);
		if ((statvfs(fnPath, &fiData)) < 0)
		{
			printf("Failed to stat %s:\n", fnPath);
		}
		else
		{
			printf("Disk %s: \n", fnPath);
			printf("\tblock size: %lu\n", fiData.f_bsize);
			printf("\ttotal no blocks: %i\n", fiData.f_blocks);
			printf("\tfree blocks: %i\n", fiData.f_bfree);
		}
	}
}

