/*
 * $Id: globals.cpp,v 1.1 2015/01/09 22:09:49 charlesetsmith Exp $
 */

#include <iostream>
#include <cstring>
#include <string>
#include <vector>
#include <list>
#include <sys/types.h>
#include "screen.h"
#include "ip.h"
#include "sarflags.h"
#include "timestamp.h"
#include "cli.h"

/*
 * Classes used globally
 */
namespace saratoga
{

cli_beacon	c_beacon;
cli_exit		c_exit;
cli_bundles	c_bundles;
cli_checksum	c_checksum;
cli_debug	c_debug;
cli_descriptor	c_descriptor;
cli_eid		c_eid;
cli_freespace	c_freespace;
cli_get		c_get;
cli_ls		c_ls;
cli_peers	c_peers;
cli_put		c_put;
cli_rm		c_rm;
cli_rmdir	c_rmdir;
cli_rx		c_rx;
cli_streams	c_streams;
cli_timestamp	c_timestamp;
cli_tx		c_tx;

sarnet::udp*	v4out;
sarnet::udp*	v6out;
sarnet::peers	sarpeers;	// Dynamic list of udp sockets (peers) we write to

}; // namespace saratoga

